#include <iostream>
#include <vector>
#include <climits>

int max_povrsina(std::vector<int> a)
{
    int i = 0, j = a.size() - 1;
    int max = INT_MIN;

    while (i < j) {
        int tp = std::min(a[i], a[j]) * (j - i); // min_visina * sirina

        if (tp > max) {
            max = tp;
        }

        if (a[i] < a[j]) {
            i++;
        }
        else {
            j--;
        }
    }

    return max;
}

int main ()
{
    int n;

    std::cin >> n;

    std::vector<int> a(n);

    for (int i = 0; i < n; i++) {
        std::cin >> a[i];
    }

    std::cout << max_povrsina(a) << "\n";

    return 0;
}